
server:
  port: 8848
#UPLOAD FILE 上传文件
upload:
  #文件存储磁盘
     disk: D://sopFile/
datasource:
    master:
      type: com.alibaba.druid.pool.DruidDataSource
      url: jdbc:mysql://localhost:3306/test?characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true
      username: root
      password: root
      driver-class-name: com.mysql.cj.jdbc.Driver
      initialSize: 5
      minIdle: 5
      maxActive: 20
      maxWait: 60000
      timeBetweenEvictionRunsMillis: 60000
      validationQuery: SELECT 1
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      poolPreparedStatements: true
      maxPoolPreparedStatementPerConnectionSize: 20
      filters: stat
      connectionProperties: druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
#LOG
logging:
  level:
    com.inkasso: debug
  config: classpath:logback-spring.xml
#Redis缓存服务配置
spring:
  servlet:
    multipart:
      max-file-size: 30485760
      max-request-size: 15485760
  redis:
    host: localhost
    port: 6379
    timeout: 20000
    pool:
      max-active: 8
      min-idle: 0
      max-idle: 8
      max-wait: -1
    database: 5
  main:
    allow-circular-references: true  #允许循环引用

kafubao:
  rateLimiter: 50000
  limiterTime: 5
  maxTenantSize: 50  #个人可认证的的最大企业个数
  file:
    resourcePath: /upload/**
    storagePath: D://kafubaoFileTest//
  not-login:
    url:
      - login/weixin/*      #微信登录
      - login/fastRegister  #微信快速注册
      - entitygenerator/*     #代码生成器
      - entitygenerator/*/*   #代码生成器
      - entitygenerator/*/*/*   #代码生成器
      - codegenerator         #代码生成器
      - codegenerator/*/*
  authentication: true
  freeNum: 1

codegeneration:
  filePath:  D:/codegeneration




